Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Fix an HTML-parser test that's failed in Python 2.6.8 since 5c79dd5.

The problem description in #18239 asserted that
http://bugs.python.org/issue670664 was fixed in Python 2.6.8, but based on
http://bugs.python.org/issue670664#msg146770 it appears that's not correct; the
fix was only applied in 2.7, 3.2, and Python trunk. Therefore we must use our
patched HTMLParser subclass in all Python 2.6 versions.
  • Loading branch information...
commit fcec904e4f3582a45d4d8e309e71e9f0c4d79a0c 1 parent 75ef980
@carljm carljm authored
Showing with 1 addition and 2 deletions.
  1. +1 −2  django/utils/html_parser.py
View
3  django/utils/html_parser.py
@@ -5,8 +5,7 @@
current_version = sys.version_info
use_workaround = (
- (current_version < (2, 6, 8)) or
- (current_version >= (2, 7) and current_version < (2, 7, 3)) or
+ (current_version < (2, 7, 3)) or
(current_version >= (3, 0) and current_version < (3, 2, 3))
)
Please sign in to comment.
Something went wrong with that request. Please try again.